Name:           pspp
Version:        0.7.9
Release:        2%{?dist}
Summary:        A program for statistical analysis of sampled data
Group:          Applications/Engineering
License:        GPLv3+
URL:            http://www.gnu.org/software/pspp/
Source0:        ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:        ftp://alpha.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz.sig
Source3:        pspp.svg
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:  plotutils-devel ncurses-devel readline-devel
BuildRequires:  gsl-devel >= 1.11-2
BuildRequires:  postgresql-devel
BuildRequires:  glade3-libgladeui-devel libglade2-devel
BuildRequires:  gettext desktop-file-utils
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:	autoconf automake libtool gettext-devel texinfo libxml2
BuildRequires:	gtksourceview2-devel
Requires:	hicolor-icon-theme
Requires(post): info
Requires(preun): info


%description
PSPP is a program for statistical analysis of sampled data. It
interprets commands in the SPSS language and produces tabular
output in ASCII, PostScript, or HTML format.

PSPP development is ongoing. It already supports a large subset
of SPSS's transformation language. Its statistical procedure
support is currently limited, but growing.


%prep
%setup -q

TMPTHANKS=$(mktemp %{name}.XXXXXXXX)
iconv -f ISO-8859-1 -t UTF-8 THANKS >$TMPTHANKS
chmod --reference=THANKS $TMPTHANKS
touch --reference=THANKS $TMPTHANKS
mv $TMPTHANKS THANKS
find . -exec chmod g-s '{}' \;


%build
autoreconf -ifv
%configure CFLAGS="${CFLAGS:-%optflags} -fgnu89-inline" \
    --disable-static --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't own /usr/share/info/dir
rm $RPM_BUILD_ROOT%{_infodir}/dir

# don't lala
find $RPM_BUILD_ROOT%{_libdir}/ \
   -name \*.la -delete

# desktop file
desktop-file-validate ${RPM_BUILD_ROOT}%{_datadir}/applications/pspp.desktop

# localization
%find_lang %{name}

# clean up some stuff
rm -f ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/icon-theme.cache
rm -rf ${RPM_BUILD_ROOT}%{_datadir}/doc/pspp/
#rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspp.so
#rm -f ${RPM_BUILD_ROOT}%{_libdir}/libpspp-core.so


%check
make check || true


%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
if [ $1 -eq 0 ] ; then
	/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
	/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi


%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :


%preun
if [ $1 = 0 ] ; then
    /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS ONEWS README THANKS
%{_bindir}/pspp
%{_bindir}/psppire
%{_bindir}/pspp-dump-sav
%{_infodir}/pspp*
%{_libdir}/%{name}/
%{_mandir}/man1/pspp-dump-sav.*
%{_datadir}/applications/pspp.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/%{name}/
%{_datadir}/pspp/


%changelog
* Mon Jan 28 2013 Nick Bryda <nick@fuduntu.org> - 0.7.9-2
- Built for Fuduntu

* Thu Apr 19 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.9-2
- Drop useless patch

* Sun Apr 15 2012 Peter Lemenkov <lemenkov@gmail.com> - 0.7.9-1
- Ver. 0.7.9

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Dec 17 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.7.8-1
- Ver. 0.7.8

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.6.2-5
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 0.6.2-3
- Rebuilt for gcc bug 634757

* Thu Sep 23 2010 Peter Lemenkov <lemenkov@gmail.com> 0.6.2-2
- Rebuild (fixes ftbfs rhbz #599955)

* Fri Oct 16 2009 Peter Lemenkov <lemenkov@gmail.com> 0.6.2-1
- Ver. 0.6.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 22 2009 Matěj Cepl <mcepl@redhat.com> - 0.6.1-3
- Make .so symlink to versioned libraries -- shouldn't be needed
  but helps to fix bug 471180

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 28 2008 Matěj Cepl <mcepl@redhat.com> 0.6.1-1
- New upstream release.
- Added home made logo.
- Fix file permissions.

* Wed Nov 12 2008 Matěj Cepl <mcepl@redhat.com> - 0.6.0-9
- Fix in the %%preun script -- install-info wants only .info file
  as an argument.

* Thu Sep 25 2008 Matěj Cepl <mcepl@redhat.com> - 0.6.0-8
- Fix wrong CFLAGS -- add -fgnu89-inline

* Mon Jul 07 2008 Matej Cepl <mcepl@redhat.com> 0.6.0-7
- Fix BuildRequires.

* Wed Jun 18 2008 Matej Cepl <mcepl@redhat.com> 0.6.0-6
- Bug 451006 has been resolved, so we don't have to munge CFLAGS
  anymore.

* Sat Jun 14 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-5
- Approved version with fixed duplicate %%{_sysconfdir}/pspp

* Thu Jun 13 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-4
- Second wave of Package Review -- .desktop file
- Mysterious libraries eliminated

* Thu Jun 12 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-3
- First wave of Package Review nitpicking -- added %%doc and fixed Texinfo
  handling.

* Thu Jun 12 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-2
- Upstream release, this build is to be put into the package review.

* Tue Apr 22 2008 Matěj Cepl <mcepl@redhat.com> 0.6.0-0.1.pre2
- Upstream pre-release.

* Mon Apr 23 2007 Matej Cepl <mcepl@redhat.com> - 0.4.0-1
- The first experimental package of PSPP for Fedora.
